Subject: Re: bug#73827: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers

From: Alex Bochannek <[email-masked]>
Date: Wed, 16 Oct 2024 19:43:47 -0700

Jeremy Bryant <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>> Hello!
>>
>> I have not submitted patches against an ELPA package before, so I hope
>
> Philip, any comments?
>
>>
>> Apologies again for the format of this submission. If someone could
>> point me at instructions for how to make your life easier next time, I'd
>> appreciate it.
>
> Please read the file CONTRIBUTE in the Emacs source tree.

Figured out my issue with populating the ELPA repo (new computer, old
version of gmake) and I am including the patch in the proper format now.

>From dafcff7c7a9cb6952aa740ef34a67eb61fd2a90d Mon Sep 17 00:00:00 2001
From: Alex Bochannek <[email-masked]>
Date: Wed, 16 Oct 2024 19:35:33 -0700
Subject: [PATCH] Fix unprintable register display logic

---
 register-list.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/register-list.el b/register-list.el
index 846d3efe49..5a81b1b7bb 100644
--- a/register-list.el
+++ b/register-list.el
@@ -478,8 +478,8 @@ the register or copy its value into the kill ring."
 	    (t "error"))
     (cond ((window-configuration-p (car key)) "W")
 	  ((frame-configuration-p (car key)) "F")
-	  ((stringp (car key)) "R")
 	  ((string= "Unprintable entity" (car key)) "?")
+	  ((stringp (car key)) "R")
 	  (t "error"))))
 
 ;;; Edit key/value of the register
-- 
2.39.5 (Apple Git-154)

-- 
Alex.